
CoCoALib - Bug #178

IsHomog: should it throw an error when there is no grading?

07 Jun 2012 17:17 - Anna Maria Bigatti

Status: Closed Start date: 07 Jun 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 90%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-0.9953 Spent time: 1.60 hour

Description

Here is a piece of code from CoCoA-5

/**/ Use QQ[x,y], Lex;

/**/ IsHomog(x-1);

true

It is correct because GradingDim = 0, but a naive user might think in terms of standard grading.

An expert user instead should not even ask that question (like gcd in a field)    

I think it should throw an error.  Comments?

12 feb 2013: now throws an error

Related issues:

Related to CoCoA-5 - Bug #162: RegularityIndex <= 0 Closed 17 May 2012

Related to CoCoA-5 - Support #181: Functions throwing error even though (triv... New 08 Jun 2012

History

#1 - 07 Jun 2012 22:57 - John Abbott

Yes, I think throwing an error is best(=safest) in this case.  Same applies to any other "homog" function.

2013-02-11 Also JAA cannot think of any plausible situation when it is genuinely useful to have a grading over ZZ^0.

JAA wonders whether we should make a catalogue of cases where we choose to throw an error even though there is a well-defined mathematical

result.  If we should make one, what form should it have?

#2 - 08 Jun 2012 08:46 - Anna Maria Bigatti

- Subject changed from IsHomog: should it trhow an error when there is no grading? to IsHomog: should it throw an error when there is no grading?

#3 - 12 Feb 2013 17:39 - Anna Maria Bigatti

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.9953

#4 - 12 Feb 2013 17:41 - Anna Maria Bigatti

- % Done changed from 0 to 90

#5 - 15 Feb 2013 19:24 - John Abbott

ex-PolyRing1 with debugging active fails:

***ERROR***  UNCAUGHT CoCoA error
***************************************************************************

****CoCoA ERROR****  ErrCode: CoCoA::ERR::ZeroGradingDim

****CoCoA ERROR****  Message: GradingDim (grading dimension) is 0

****CoCoA ERROR****  Context: IsHomog(RingElem)

****CoCoA ERROR****  File:    SparsePolyRing.C

****CoCoA ERROR****  Line:    936

***************************************************************************

#6 - 29 Oct 2013 14:25 - Anna Maria Bigatti

- Status changed from Feedback to Closed
